

export default function blockOpportunity(){
  var ajax = {
    url: g.urlOpportunityList,
    type: 'POST',
    data: function(d){
      d[g.csrfParam] = g.csrfToken;
      d['account_id'] = g.account_id;
      d['show_all'] = 1;
      return d;
    }
  };
  var columns = [
    {data: 'name', name:'name', searchable:false},
    {data: 'stage_name', name: 'stage_id', orderable:true, searchable:false},
    {data: 'close_date_str', name:'close_date',searchable:false, orderable:true},
    {data:'amount_formatted', name:'amount', orderable:true, searchable:false},
    {
      data: 'id',name:'',
      orderable: false,
      width:'120px',
      render: function(data, type, row){
        return (new EJS({element:'tpl_opportunity_action'})).render({id:data,name:row.name});
      }
    }
  ];
  window.t = $('.tb_opportunity_list').DataTable(Object.assign(tableDefaultOptions, {
    ajax: ajax, columns: columns,
    dom: '<"row"<"col-sm-12"rt>>'
  }));

  window.applySearch(t, $('.dataTables_filter input'), $('.th_search_w input'));


  $('body').delegate('.tb_opportunity_list .btn_delete','click',  function(e){
    e.preventDefault();
    var $s = $(this);
    window.openDeleteModal('Are you sure to delete ['+ $s.data('name') +']?', function(e){
      closeModal($('#react_container'));
    }, function(e){
      var url = $s.attr('href');
      var id = $s.data('id');
      var postData = {id:id};
      postData[g.csrfParam] = g.csrfToken;
      $.post(url, postData, function(data){
        closeModal($('#react_container'));
        t.draw();
      }).fail(function(error){
        closeModal($('#react_container'));
        $.gritter.add({
          title: error.statusText,
          text: error.responseText,
          class_name: 'gritter-warning'
        });
      })
    });
  })
}